Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-1-sox.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-1-sox.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-1-sox.rspec	(revision 2471)
@@ -0,0 +1,45 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="xen1" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen2" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen3" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen3:if0">
+      <ip address="192.168.1.3" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen4" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen4:if0">
+      <ip address="192.168.1.4" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.sox.net+authority+cm"/>
+    <interface_ref client_id="xen1:if0"/>
+    <interface_ref client_id="xen2:if0"/>
+    <interface_ref client_id="xen3:if0"/>
+    <interface_ref client_id="xen4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-2-sox.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-2-sox.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-2-sox.rspec	(revision 2471)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="VM" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="PC" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="PC:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.sox.net+authority+cm"/>
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="PC:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-3-sox.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-3-sox.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-3-sox.rspec	(revision 2471)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                           http://www.geni.net/resources/rspec/3/request.xsd" 
+       type="request">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="gre-tunnel0">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.sox.net+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+    <link_type name="gre-tunnel"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-eg-gpo.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-eg-gpo.rspec	(revision 2471)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    </sliver_type>
+	<services>
+	<execute shell="sh" command="hostname BBN-shared"/>
+	</services>
+    <interface client_id="VM:if0">
+   <ip address="10.42.11.198" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-ig-gpo.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-ig-gpo.rspec	(revision 2471)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.11.43" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="gpo-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="gpo-ig2:if0">
+      <ip address="10.42.11.42" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="gpo-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-ig-sox.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-ig-sox.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-ig-sox.rspec	(revision 2471)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="sox-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="sox-ig:if0">
+      <ip address="10.42.11.63" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="sox-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="sox-ig2:if0">
+    <ip address="10.42.11.62" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="sox-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="sox-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-eg-gpo.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-eg-gpo.rspec	(revision 2471)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site confirmation" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="gpo-exogeni">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" dpid="00:01:08:17:f4:b5:2a:00">
+      </openflow:datapath>
+
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="gpo-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-gpo.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-gpo.rspec	(revision 2471)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site EG-CT-4" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="habanero-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port name="33" num="57"/>
+        <openflow:port name="47" num="71"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="poblano-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="7"/>   <!-- to NLR 3716 -->
+        <openflow:port num="15"/>  <!-- to BBN ExoGENI rack -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+        <openflow:port num="20"/>  <!-- to habanero -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="habanero-1750" />
+      <openflow:use-group name="poblano-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-ig-gpo.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-ig-gpo.rspec	(revision 2471)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-ig-sox.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-ig-sox.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-ig-sox.rspec	(revision 2471)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="sox-instageni-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.sox.net+datapath+06:d6:6c:3b:e5:6c:c5:00" 
+                       component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.sox.net+authority+am" />
+    </openflow:group>
+    <openflow:match>
+      <openflow:use-group name="sox-instageni-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-internet2.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-internet2.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-internet2.rspec	(revision 2471)
@@ -0,0 +1,84 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+		   email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+   <openflow:group name="UEN-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+      </openflow:datapath>
+    </openflow:group>
+
+
+    <openflow:group name="PRINCETON-1750">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
+        <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+ 
+    <openflow:group name="NYU-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
+        <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="1" num="1"/> <!-- UKY 1750 -->
+        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
+        <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="UEN-1750" />
+      <openflow:use-group name="PRINCETON-1750" />
+      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="I2-ATLA-1750-3716"/>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-nlr.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-nlr.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-nlr.rspec	(revision 2471)
@@ -0,0 +1,67 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="nlr-chic-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:23:47:c8:bc:00" 
+       component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+        dpid="06:d6:00:23:47:c8:bc:00"> 
+        <openflow:port name="5" num="5"/> <!-- NLR CHIC 3716 Port --> 
+        <openflow:port name="9" num="9"/> <!-- GPO 1750 -->
+        <openflow:port name="25" num="49"/> <!-- Kettering 1750 -->
+        <openflow:port name="28" num="52"/> <!-- Northwestern 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am"
+        dpid="06:d6:00:24:a8:d2:b8:40">
+        <openflow:port name="5" num="5"/>   <!-- ATLA 1750-3716 -->
+        <openflow:port name="11" num="11"/> <!-- FIU 1752 -->
+        <openflow:port name="25" num="49"/>  <!-- RENCI 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-denv-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:26:f1:40:a8:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" dpid="06:d6:00:26:f1:40:a8:00">
+        <openflow:port name="5" num="5"/> <!-- DENV 1750-3716 -->
+        <openflow:port name="9" num="9"/> <!-- UH 1751 -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" dpid="0e:84:00:23:47:c8:bc:00"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" dpid="0e:84:00:23:47:ca:bc:40" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" dpid="0e:84:00:24:a8:d2:48:00" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" dpid="0e:84:00:24:a8:d2:b8:40" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" dpid="0e:84:00:26:f1:40:a8:00" />
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-chic-1750-3716" />
+      <openflow:use-group name="nlr-atla-1750-3716" />
+      <openflow:use-group name="nlr-denv-1750-3716" />
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-sox.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-sox.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-sox.rspec	(revision 2471)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="sox">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.sox.net+datapath+00:01:34:40:b5:03:14:00" 
+                       component_manager_id="urn:publicid:IDN+openflow:foam:foam.sox.net+authority+am">
+        <openflow:port num="17"/> <!-- to I2 -->
+        <openflow:port num="52"/> <!-- to SoX rack -->
+        <openflow:port num="53"/> <!-- to Clemson -->
+        <openflow:port num="64"/> <!-- to GT -->
+    </openflow:datapath>
+
+    </openflow:group>
+    <openflow:match>
+      <openflow:use-group name="sox" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-uen.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-uen.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-uen.rspec	(revision 2471)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+        <openflow:port name="B22" num="46"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-pg-utah.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-pg-utah.rspec	(revision 2471)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-pg-utah.rspec	(revision 2471)
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.35" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>
